com.threerings.parlor.game.client

## Class GameControllerDelegate

- java.lang.Object
- - com.threerings.crowd.client.PlaceControllerDelegate
  - - com.threerings.parlor.game.client.GameControllerDelegate

Direct Known Subclasses:
  PuzzleControllerDelegate, TurnGameControllerDelegate

    public class GameControllerDelegate
    extends com.threerings.crowd.client.PlaceControllerDelegate

Extends the `PlaceControllerDelegate` mechanism with game controller specific methods.

### Constructor Summary

Constructors
Constructor and Description
`GameControllerDelegate(GameController ctrl)` Provides the delegate with a reference to the game controller for which it is delegating.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `gameDidEnd()` Called when the game transitions to the `GAME_OVER` state.
`void` `gameDidStart()` Called when the game transitions to the `IN_PLAY` state.
`void` `gameWasCancelled()` Called when the game was cancelled for some reason.
`void` `gameWillReset()` Called to give derived classes a chance to display animations, send a final packet, or do any other business they care to do when the game is about to reset.

### Methods inherited from class com.threerings.crowd.client.PlaceControllerDelegate

`didLeavePlace, handleAction, init, mayLeavePlace, willEnterPlace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GameControllerDelegate

    public GameControllerDelegate(GameController ctrl)

Provides the delegate with a reference to the game controller for which it is delegating.

### Method Detail

#### gameDidStart

    public void gameDidStart()

Called when the game transitions to the `IN_PLAY` state. This happens when all of the players have arrived and the server starts the game.

#### gameDidEnd

    public void gameDidEnd()

Called when the game transitions to the `GAME_OVER` state. This happens when the game reaches some end condition by normal means (is not cancelled or aborted).

#### gameWasCancelled

    public void gameWasCancelled()

Called when the game was cancelled for some reason.

#### gameWillReset

    public void gameWillReset()

Called to give derived classes a chance to display animations, send a final packet, or do any other business they care to do when the game is about to reset.